#ifndef CMWFACTORYLASEROFFSETADJUST_H
#define CMWFACTORYLASEROFFSETADJUST_H

#include <QWidget>
#include "cmwidget.h"
#include <QTableWidgetItem>
namespace Ui {class CMWFactoryLaserOffsetAdjust;};

class CMWFactoryLaserOffsetAdjust : public CMWidget
{
	Q_OBJECT

public:
	CMWFactoryLaserOffsetAdjust(QWidget *parent = 0);
	~CMWFactoryLaserOffsetAdjust();
	virtual void MFresh();
	virtual void MApply();
	virtual void MTimeFresh();
	void MFresh_Offset_List();
	void MFresh_OffsetCur_List();
	void MFresh_Button();
	void MFresh_Lines();
	void MFresh_ComboBox();
	void MApply_Offset_List();
	void MApply_OffsetCur_List();
	void MApply_ComboBox();

	enum MovePos
	{
		CENTER_POS=1,
		START_POS,
		END_POS,
	};
	int m_iCurSideID;
	int m_iCurLineCount;
	double m_dRefPosWTY;
	private slots:

		void on_checkBox_EnableOffset_clicked(bool checked);

		void on_pushButton_Delete_clicked();

		void on_pushButton_Clear_clicked();

		void on_pushButton_Delete_Cur_clicked();

		void on_pushButton_Clear_Cur_clicked();

		void on_pushButton_Merge_clicked();

		void mon_MovePos(int32_t iID);
		void on_tableWidget_Line_currentItemChanged(QTableWidgetItem *current, QTableWidgetItem *previous);

		void on_comboBox_threshold_currentIndexChanged(int index);

		void on_pushButton_POSConfirm_clicked();

		void on_pushButton_OffsetConfirm_clicked();

private:
	Ui::CMWFactoryLaserOffsetAdjust *ui;
};

#endif // CMWFACTORYLASEROFFSETADJUST_H
